Skip to content

resolveEmployeeAbilityExpiresAt

WRITE

Resolves the qualification expiry for an employee ability.

POST /api/v1/resources/resolveEmployeeAbilityExpiresAt
curl -X POST '<your-host>/api/v1/resources/resolveEmployeeAbilityExpiresAt' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "abilityId": "string",
    "lastTrainingDate": "string",
    "expiresAt": "string"
  }'
Response
"string"

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "abilityId": {
      "type": "string"
    },
    "lastTrainingDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "expiresAt": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "abilityId",
    "lastTrainingDate",
    "expiresAt"
  ]
}